View Issue Details

IDProjectCategoryView StatusLast Update
0003416unrealircdpublic2007-08-03 14:40
ReporterStealthAssigned Tostskeeps 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform*OS*OS Version*
Product Version4.0-devel 
Target VersionFixed in Version4.0-devel 
Summary0003416: Unreal4: LOADMODULE with wildcard output result of each module
DescriptionIf whilecards are used in a *module command, it only outputs 1 result, either success or fail.

It should be changed to do either of the following:
- Disallow wildcards (? and *)
- Output a success or fail for each module found. Was told "this is not possible because functions can only return one result", wildcards matches should be found before calling the loading function, to allow success/fail to be returned individually.

I would prefer the output of each module. Was told "this could create flood issues" and given an extreme example (500,000 modules?). IMO if you flood off from such a thing your conf needs to be fixed, or oper no flood needs to be fixed.
TagsNo tags attached.
3rd party modules

Relationships

child of 0003417 closed TODO list for Unreal4.0 

Activities

stskeeps

2007-07-28 11:50

reporter   ~0014620

Patched in r103

Issue History

Date Modified Username Field Change
2007-07-04 11:55 Stealth New Issue
2007-07-04 11:58 stskeeps Relationship added child of 0003417
2007-07-04 11:58 stskeeps Status new => acknowledged
2007-07-26 19:14 dummy Status acknowledged => feedback
2007-07-27 02:07 stskeeps Status feedback => confirmed
2007-07-28 11:50 stskeeps QA => Fixed by developer, needs QA testing
2007-07-28 11:50 stskeeps U4: Need for upstream patch => No need for upstream InspIRCd patch
2007-07-28 11:50 stskeeps Status confirmed => resolved
2007-07-28 11:50 stskeeps Fixed in Version => 4.0-devel
2007-07-28 11:50 stskeeps Resolution open => fixed
2007-07-28 11:50 stskeeps Assigned To => stskeeps
2007-07-28 11:50 stskeeps Note Added: 0014620
2007-08-03 14:40 owine QA Fixed by developer, needs QA testing => QA has accepted the fix
2007-08-03 14:40 owine U4: Upstream notification of bug => Not decided
2007-08-03 14:40 owine U4: Contributor working on this => None